//----------------------------------------------------------------------------
#ifndef SDIMainH
#define SDIMainH
//----------------------------------------------------------------------------
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
//----------------------------------------------------------------------------
#include <vcl\clipbrd.hpp>
//----------------------------------------------------------------------------
class TBeTestWin : public TForm
{
__published:
	TMainMenu *MainMenu;
	TMenuItem *FileMenu;
	TMenuItem *OpenItem;
	TMenuItem *SaveItem;
	TMenuItem *ExitItem;
	TOpenDialog *OpenDialog;
	TSaveDialog *SaveDialog;
	TMenuItem *Help1;
	TMenuItem *About1;
	TPanel *SpeedPanel;
	TSpeedButton *OpenBtn;
	TSpeedButton *SaveBtn;
	TSpeedButton *NextStepBtn;
	TStatusBar *StatusBar;
	TListBox *MsgList;
	TSpeedButton *ExitBtn;
	TSpeedButton *ClearBtn;
	TMenuItem *CharactersItem;
    TMenuItem *NextStepItem;
    TMenuItem *ClearCharactersListItem;
    TMenuItem *SaveScreenOutputItem;
    TMenuItem *SettingsItem;
    TSaveDialog *BBESave;
    TMenuItem *EditMenu;
    TMenuItem *CopyItem;
    TSpeedButton *CopyBtn;
    TSpeedButton *CharactersBtn;
    TMenuItem *SepN1;
    TMenuItem *SepN2;
    TMenuItem *SepN3;
    TMenuItem *SepN4;
    TMenuItem *SepN5;
	void __fastcall ShowHint(TObject *Sender);
	void __fastcall ExitItemClick(TObject *Sender);
	void __fastcall OpenItemClick(TObject *Sender);
	void __fastcall SaveItemClick(TObject *Sender);
	void __fastcall About1Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	
	void __fastcall ClearBtnClick(TObject *Sender);
	
	

	void __fastcall CharactersItemClick(TObject *Sender);
	void __fastcall LocationItemClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
    
    
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall ClearCharactersListItemClick(TObject *Sender);
    void __fastcall SaveScreenOutputItemClick(TObject *Sender);
    void __fastcall SettingsItemClick(TObject *Sender);
    void __fastcall NextStepItemClick(TObject *Sender);
    void __fastcall BeRefClick(TObject *Sender);
    void __fastcall CopyItemClick(TObject *Sender);
    
private:
public:
	virtual __fastcall TBeTestWin(TComponent *AOwner);
    void EnvironmentChange();
    void NextEvent();
    void UpdateAssumptionPopulation();
};
void lstPrint(char *);
//----------------------------------------------------------------------------
extern TBeTestWin *BeTestWin;
//----------------------------------------------------------------------------
#endif
